#version 430 core
out vec4 Color;

in vec2 UVs;

uniform sampler2D scene;
uniform sampler2D bloomBlur;
uniform bool bloom;


void main()
{             
    
    vec3 SceneColor = texture(scene, UVs).rgb;      
    vec3 bloomColor = texture(bloomBlur, UVs).rgb;
    if(bloom)
        SceneColor += bloomColor; // additive blending
    
    vec3 FinalColor = SceneColor;
        
    Color = vec4(FinalColor, 1.0);
	//Color = vec4(1,0,1, 1.0);
}